Subject: bug#32848: 26.1; follow-mode cursor move breaks with frame-resize-pixelwise

From: Alan Mackenzie <[email-masked]>
Date: Mon, 1 Oct 2018 12:33:36 +0000

Hello, Eli.

On Sun, Sep 30, 2018 at 20:00:14 +0300, Eli Zaretskii wrote:
> > Date: Sun, 30 Sep 2018 14:09:21 +0000
> > Cc: [email-masked], [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > The problem was that LH point was "straddling" the window "edge".  The
> > solution appears to be to copy what happens when LH point is outside the
> > window, i.e. allow redisplay to move it back to the centre of the window.

> > For this, a simple (forward-line) suffices.

> > The trouble is, all the make-cursor-line-fully-visible stuff we've done
> > then becomes redundant, since point will never be left inside a partially
> > displayed line, except possibly at EOB.

> > Here's my current patch.  What do you think?

> I think we should revert the change to set
> make-cursor-line-fully-visible locally on the emacs-26 branch, and
> install this patch instead.

I can agree with this.

> But on master, I think we need both this patch and a special function
> that sets make-cursor-line-fully-visible nil in non-last windows under
> follow-mode, because that's definitely what follow-mode wants.

I don't understand what this would be for.  With my patch from the last
post, I don't think any window's point would ever be left by follow-mode
in a partially displayed line.  Maybe the function I've written
(follow-make-cursor-line-fully-visible-p) might be useful sometime in
the future.

-- 
Alan Mackenzie (Nuremberg, Germany).